commoble.databuddy.nbt

## Class NBTListCodec.ListNBTType<RAW>

- java.lang.Object
- - commoble.databuddy.nbt.NBTListCodec.ListNBTType<RAW>

Enclosing class:
  NBTListCodec<ENTRY,RAW>

    public static class NBTListCodec.ListNBTType<RAW>
    extends java.lang.Object

### Field Summary

Fields
`static NBTListCodec.ListNBTType<java.lang.Byte>` `BYTE`
`static NBTListCodec.ListNBTType<net.minecraft.nbt.CompoundNBT>` `COMPOUND`
`static NBTListCodec.ListNBTType<java.lang.Double>` `DOUBLE`
`static NBTListCodec.ListNBTType<java.lang.Float>` `FLOAT`
`static NBTListCodec.ListNBTType<java.lang.Integer>` `INTEGER`
`static NBTListCodec.ListNBTType<net.minecraft.nbt.ListNBT>` `LIST`
`static NBTListCodec.ListNBTType<java.lang.Short>` `SHORT`
`static NBTListCodec.ListNBTType<java.lang.String>` `STRING`

### Constructor Summary

Constructors
Constructor and Description
`ListNBTType(int tagID, NBTListCodec.ListReader<RAW> listReader, java.util.function.Function<RAW,net.minecraft.nbt.INBT> serializer)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### BYTE

    public static final NBTListCodec.ListNBTType<java.lang.Byte> BYTE

#### SHORT

    public static final NBTListCodec.ListNBTType<java.lang.Short> SHORT

#### INTEGER

    public static final NBTListCodec.ListNBTType<java.lang.Integer> INTEGER

#### FLOAT

    public static final NBTListCodec.ListNBTType<java.lang.Float> FLOAT

#### DOUBLE

    public static final NBTListCodec.ListNBTType<java.lang.Double> DOUBLE

#### STRING

    public static final NBTListCodec.ListNBTType<java.lang.String> STRING

#### LIST

    public static final NBTListCodec.ListNBTType<net.minecraft.nbt.ListNBT> LIST

#### COMPOUND

    public static final NBTListCodec.ListNBTType<net.minecraft.nbt.CompoundNBT> COMPOUND

### Constructor Detail

#### ListNBTType

    public ListNBTType(int tagID,
                       NBTListCodec.ListReader<RAW> listReader,
                       java.util.function.Function<RAW,net.minecraft.nbt.INBT> serializer)